Name:           kmagnet
Version:        0.07
Release:        1%{?dist}
Summary:        A simple puzzle game with a built-in puzzle editor

Group:          Amusements/Games
License:        GPLv3+
URL:            http://kde-apps.org/content/show.php/kmagnet?content=109111
Source0:        http://www.kde-apps.org/CONTENT/content-files/109111-%{name}-%{version}.tar.bz2
Patch0:         kmagnet-fix-ld.patch 
#Patch1:         kmagnet-fix-po.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdegames-devel gettext

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Kmagnet is a simple puzzle game with a built-in puzzle editor. Basically you 
can move the ball up down left or right and it stops when it finds an 
obstacle or arrives to a hole. To win the ball has to arrive to a hole.


%prep
%setup -q
%patch0 -p1
#%patch1 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --all-name


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%clean
rm -rf %{buildroot}


%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
        touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
        gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/config.kcfg/%{name}.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/kMagnet/
%{_kde4_datadir}/config/kMagnet.knsrc


%changelog
* Sat Feb 20 2010 Ryan Rix < ry@n.rix.si > - 0.07-1
- Updated Source
- Install with make install/fast
- Added gettext BR
- Fixing DSO Linkage bug

* Tue Nov 24 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.04-2
- Rebuilding against latest Qt.

* Thu Nov 5  2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.04-1
- Updated source
- Patch on desktop file no longer necessary
- Added Patch to fix LD complaining about missing symbols

* Sat Oct 17 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.03-5
- Fixed changelog macro usage in 0.02-3
- Removed unnecessary scriptlets
- Changed %%files to own the directories

* Fri Oct 16 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.03-4
- Update to 0.03
- Upstream changed name to kMagnet
- Added a patch to fix .desktop file

* Sat Oct 10 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.02-3
- Removed redundant call to desktop-file-install
- Changed one %%files entry to use %%{_kde4_appsdir}

* Fri Oct 9 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.02-2
- Fixed Requires and BuildRequires
- Removed VERBOSE=1 from Makefile
- Sane use of macros in files section
- Added documentation
- Added icon code snippets
- Added desktop-file-validate

* Wed Oct 7 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.02-1
- initial package
